<template>
  <i-wrapper top>
    <!-- <nuxt-link to="step-3" class="next">step 4 &gt;</nuxt-link> -->
    <i-stepper :total="auth.onboarding.total" :filled="2" />
    <i-curtain tag="form" @submit="submit()">
      <img src="~assets/images/bubbles-orange.svg" class="bubbles bubbles--custom" />
      <img src="~assets/images/scientist-gender.png" class="scientist-gender" />
      <div class="title px-1 text-center">{{ $t(`Nice to meet you, {name}`, { name: auth.onboarding.name }) }}!</div>
      <div class="normal-text text-center px-1 mb-1">
        {{ $t(`For the prediction, it's also very important that I know your sex.`) }}
      </div>
      <i-round-options ref="genderOptions" v-model="gender" :options="genderOptions" :options-per-line="2" big />
      <!-- <div ref="genders" class="round-options d-flex align-items-center justify-content-center">
        <div
          v-for="genderOption in genderOptions"
          :key="genderOption.key"
          class="round-option"
          :class="{ 'round-option--selected': gender === genderOption.key }"
          @click="gender = genderOption.key">
          <img :src="require(`~/assets/images/round-option-${genderOption.image}`)" class="round-option__image" />
          <img src="~assets/images/round-option-border.svg" class="round-option__border" />
          <span class="round-option__title">{{ genderOption.title }}</span>
        </div>
      </div> -->
      <template #bottom>
        <i-button submit block :loading="isLoading" :disabled="isLoading">{{ $t(`CONTINUE`) }}</i-button>
      </template>
    </i-curtain>
  </i-wrapper>
</template>

<script>
  import { mapState } from 'vuex';

  export default {
    layout: 'default',

    data() {
      return {
        gender: this.$store.state.auth.onboarding.gender,
        genderOptions: [
          { key: 'MALE', title: this.$t('genders.male'), defaultImage: 'gender-male.svg' },
          { key: 'FEMALE', title: this.$t('genders.female'), defaultImage: 'gender-female.svg' },
        ],
        isLoading: false,
      };
    },

    computed: {
      ...mapState(['auth']),
    },

    mounted() {
      //
    },

    methods: {
      async submit() {
        if (this.isLoading) {
          return;
        }

        console.log('SUBMIT');

        if (!this.gender) {
          this.$refs.genderOptions.$refs.root.classList.add('bounce');

          setTimeout(() => {
            this.$refs.genderOptions.$refs.root.classList.remove('bounce');
          }, 1000);

          return;
        }

        this.isLoading = true;

        try {
          let response = await this.$axios.post(`onboarding/gender`, {
            gender: this.gender,
          });

          ga('send', 'event', 'onb_2_gender');
          this.$store.commit('MERGE_AUTH', { onboarding: response.data.data, user: response.data.data.user });
          await this.$router.push(this.localePath({ name: 'onboarding.birth-date' }));
        } catch (error) {
          this.isLoading = false;
          throw error;
        }
      },
    },
  };
</script>

<style lang="scss">
  .scientist-gender {
    width: rw(106px);
    margin-top: rs(30px);
  }

  .title {
    font-weight: bold;
    font-size: rf(20px);
    margin-top: rs(15px);
  }

  .normal-text {
    font-size: rf(16px);
    margin-top: rs(15px);
  }

  .bubbles--custom {
    top: rs(147px);
  }
</style>
